from django.db import models


class SourceSiteModel(models.Model):
    slug = models.CharField(max_length=64)
    name = models.CharField(max_length=64)
    date_last_import = models.DateTimeField(auto_now=True)
    date_created = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name = "Source Site"
        verbose_name_plural = "Source Sites"

    def __str__(self):
        if self.name:
            return str(self.name)
        else:
            return str(self.slug)
